package com.mortals.xhx.common.code;

import java.util.LinkedHashMap;
import java.util.Map;

/**
* 员工状态(1.待入职,2.试用中,3.超期)枚举类
*
* @author zxfei
*/
public enum OnBoardStatusEnum {
    待入职(1, "待入职"),
    试用中(2, "试用中"),
    超期(3, "超期");
    private Integer value;
    private String desc;

    OnBoardStatusEnum(Integer value, String desc) {
        this.value = value;
        this.desc = desc;
    }

    public Integer getValue() {
        return this.value;
    }

    public String getDesc() {
        return this.desc;
    }

    public static OnBoardStatusEnum getByValue(Integer value) {
        for (OnBoardStatusEnum onBoardStatusEnum : OnBoardStatusEnum.values()) {
            if (onBoardStatusEnum.getValue() == value) {
                return onBoardStatusEnum;
            }
        }
        return null;
    }

    /**
    * 获取Map集合
    *
    * @param eItem 不包含项
    * @return
    */
    public static Map<String, String> getEnumMap(Integer... eItem) {
        Map<String, String> resultMap = new LinkedHashMap<>();
        for (OnBoardStatusEnum item : OnBoardStatusEnum.values()) {
            try {
                boolean hasE = false;
                for (Integer e : eItem) {
                    if (item.getValue() == e) {
                        hasE = true;
                        break;
                    }
                }
                if (!hasE) {
                    resultMap.put(item.getValue() + "", item.getDesc());
                }
            } catch (Exception ex) {

            }
        }
        return resultMap;
    }
}